<header>
    <mat-toolbar color="primary">
        <ng-container *ngIf="userRole$ | async; let role">
            <ng-container [ngSwitch]="role.name">
                <app-menu-for-administrator *ngSwitchCase="UserRolesNames.ADMIN"></app-menu-for-administrator>
                <app-menu-for-applicant *ngSwitchCase="UserRolesNames.APPLICANT_EXPERT"></app-menu-for-applicant>
                <app-menu-for-applicant *ngSwitchCase="UserRolesNames.APPLICANT_HEAD"></app-menu-for-applicant>
                <app-menu-for-applicant *ngSwitchCase="UserRolesNames.APPLICANT_CENTRAL_COMMISSION_HEAD"></app-menu-for-applicant>
                <app-menu-for-registar *ngSwitchCase="UserRolesNames.REGISTRAR"></app-menu-for-registar>
            </ng-container>
        </ng-container>
        <button mat-button (click)="logout()">{{"perform_log_out" | transloco}}</button>
    </mat-toolbar>
</header>
